Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Singleton.cpp File Reference

`#include "tao/TAO_Singleton.h"`
`#include "ace/Synch_T.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "tao/TAO_Singleton_Manager.h"`
`#include "tao/TAO_Singleton.inl"`

Include dependency graph for TAO_Singleton.cpp:

## Functions
const char * | get_rcsid_tao_TAO_Singleton (const char *)
## Variables
const char * | rcsid_tao_TAO_Singleton = get_rcsid_tao_TAO_Singleton ( rcsid_tao_TAO_Singleton )

## Function Documentation

const char* get_rcsid_tao_TAO_Singleton | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_tao_TAO_Singleton = get_rcsid_tao_TAO_Singleton ( rcsid_tao_TAO_Singleton )`[static]`